Subject: Re: [PATCH 0/5] virtio_net: enable premapped mode by default

From: Darren Kenny <[email-masked]>
Date: Wed, 16 Oct 2024 08:55:21 +0100

Hi Michael,

On Monday, 2024-10-14 at 00:57:41 -04, Michael S. Tsirkin wrote:
> On Mon, Oct 14, 2024 at 11:12:29AM +0800, Xuan Zhuo wrote:
>> In the last linux version, we disabled this feature to fix the
>> regress[1].
>> 
>> The patch set is try to fix the problem and re-enable it.
>> 
>> More info: http://lore.kernel.org/all/[email-masked]
>> 
>> Thanks.
>> 
>> [1]: http://lore.kernel.org/all/[email-masked]
>
> Darren, you previously reported crashes with a patch very similar to 1/5.
> Can you please test this patchset and report whether they
> are still observed?
> If yes, any data on how to reproduce would be very benefitial for Xuan
> Zhuo.
>

I aim to get to this in the next week, but I don't currently have
access to a system to test it, it will take a few days at least before I
can get one.

Thanks,

Darren.

>
>> Xuan Zhuo (5):
>>   virtio-net: fix overflow inside virtnet_rq_alloc
>>   virtio_net: introduce vi->mode
>>   virtio_net: big mode skip the unmap check
>>   virtio_net: enable premapped mode for merge and small by default
>>   virtio_net: rx remove premapped failover code
>> 
>>  drivers/net/virtio_net.c | 168 ++++++++++++++++++++++++---------------
>>  1 file changed, 105 insertions(+), 63 deletions(-)
>> 
>> --
>> 2.32.0.3.g01195cf9f